<template>
    <div class="ui middle aligned center aligned grid">
        <div class="column" style="max-width: 80em !important;">
            <div class="html ui top attached segment"> 
                <div class="row">
                    <div class="ui top attached label"><h4>Historial Crediticio</h4></div>
                    <h4 class="ui header"> 
                        <div class="content"> ${Solicitudes.NombreUsuarioHistorial}
                            <div class="sub header">Nombre Usuario</div>
                        </div>
                    </h4>
                    <table class="ui selectable celled table">
                        <thead>
                            <tr>
                                <th class="rigth aligned ten wide">Solicitudes</th>
                                <th class="center aligned">Estatus</th>
                            </tr>
                        </thead>
                        <tbody  repeat.for="item of Solicitudes.SolicitudesHistorialUsuario">
                            <tr class="${item.Estatus ? 'positive' : 'negative'}">
                                <td>
                                    <h4 class="ui header"> 
                                        <div class="content"> ${item.Descripcion}
                                            <div class="sub header">${item.Pagos} pagos: ${item.PorcentajeInteres} de interés.</div>
                                            <div class="sub header">Monto: ${item.Monto}</div>
                                        </div>
                                    </h4>
                                </td>
                                <td class="center aligned"><i class="large thumbs ${item.Estatus ? 'green up' : 'red down'}  outline icon"></td> 
                            </tr> 
                        </tbody>
                    </table>
                </div> 
                <button class="ui fluid large teal button" click.delegate="Cerrar()">Cerrar</button>
            </div> 
        </div>
    </div>
</template>